Comment 2 for bug 1776937

agent 8131 (agent-8131) wrote :

This is going to sound like a strange fix but I've had it work on 2 systems:

download: libequinox-osgi-java_3.8.1-10_all.deb
https://packages.ubuntu.com/artful/all/libequinox-osgi-java/download

Install it with dpkg or similar)
Run netbeans. It should load.
Run sudo apt upgrade to get the bionic version back.
Run netbeans. For me it still works.

In other words something about running with 3.8.1-10 fixes whatever the issue is.